Bulk Pages Summary


This endpoint will provide you with a comprehensive overview of backlinks and related data for a bulk of up to 1000 pages, domains, or subdomains. If you indicate a single page as a target, you will get comprehensive summary data on all backlinks for that page.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

Description of the fields for setting a task:
‌‌‌‌‌‌

Field nameTypeDescription
targetsarray

domains, subdomains or webpages to get summary data for
required field
a domain or a subdomain should be specified without https:// and www.
a page should be specified with absolute URL (including http:// or https://)
you can specify up to 1000 pages, domains, or subdomains in each request.
note that the URLs you set in a single request cannot belong to more than 100 different domains.

include_subdomainsboolean

indicates if the subdomains of the target will be included in the search
optional field
if set to false, the subdomains will be ignored
default value: true

rank_scalestring

defines the scale used for calculating and displaying the rank, domain_from_rank, and page_from_rank values
optional field

you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale

possible values:
one_hundred — rank values are displayed on a 0–100 scale
one_thousand — rank values are displayed on a 0–1000 scale

default value: one_thousand

learn more about how this parameter works and how ranking metrics are calculated in this Help Center article

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response

As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        total_countinteger

total number of relevant items in the database

        items_countinteger

number of items in the results array

        itemsarray

items array

            typestring

type of element='backlinks_page_summary'n

            urlstring

page URL

            rankinteger

page rank
rank of the page on the target website
rank is calculated based on the method for node ranking in a linked database - a principle used in the original Google PageRank algorithm
learn more about the metric and how it is calculated in this help center article

            main_domain_rankinteger

rank of the main domain
rank of the main domain is calculated based on the method for node ranking in a linked database - a principle used in the original Google PageRank algorithm
learn more about the metric and how it is calculated in this help center article

            backlinksinteger

number of backlinks

            first_seenstring

date and time when our crawler found a backlink to this page for the first time
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00

            lost_datestring

date and time when the last backlink to this page was lost
indicates the date and time when our crawler visited the page and it responded with 4xx or 5xx status code or the last backlink was removed
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2017-01-24 13:20:59 +00:00

            backlinks_spam_scoreinteger

average spam score of the backlinks pointing to the page
learn more about how the metric is calculated on this help center page

            broken_backlinksinteger

number of broken backlinks
number of broken backlinks pointing to the page

            broken_pagesinteger

number of broken pages
number of pages that respond with 4xx or 5xx status codes where backlinks are pointing to

            referring_domainsinteger

indicates the number domains referring to the page

            referring_domains_nofollowinteger

number of domains pointing at least one nofollow link to the target

            referring_main_domainsinteger

indicates the number of referring main domains

            referring_main_domains_nofollowinteger

number of main domains pointing at least one nofollow link to the target

            referring_ipsinteger

number of referring IP addresses
number of IP addresses pointing to this page

            referring_subnetsinteger

number of referring subnetworks

            referring_pagesinteger

indicates the number of pages pointing to the relevant url

            referring_pages_nofollowinteger

number of referring pages pointing at least one nofollow link to the target

            referring_links_tldobject

top-level domains of the referring links
contains top level domains and referring link count per each

            referring_links_typesobject

types of referring links
indicates the types of the referring links and link count per each type
possible values:
anchor, image, link, meta, canonical, alternate, redirect

            referring_links_attributesobject

link attributes of the referring links
indicates link attributes of the referring links and link count per each attribute

            referring_links_platform_typesobject

types of referring platforms
indicates referring platform types and and link count per each platform

possible values: cms, blogs, ecommerce, message-boards, wikis, news, organization

            referring_links_semantic_locationsobject

semantic locations of the referring links
indicates semantic elements in HTML where the referring links are located and link count per each semantic location

you can get the full list of semantic elements here
examples:
article, section, footer

            referring_links_countriesobject

ISO country codes of the referring links
indicates ISO country codes of the domains where the referring links are located and the link count per each country

‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/backlinks/bulk_pages_summary/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "targets": [
      "https://dataforseo.com/solutions",
      "https://dataforseo.com/about-us"
    ]
  }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
	"targets" => [
		"https://dataforseo.com/",
		"https://dataforseo.com/about-us"
	]
);
try {
	// POST /v3/backlinks/bulk_pages_summary/live
	$result = $client->post('/v3/backlinks/bulk_pages_summary/live', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.dataforseo.com/v3/backlinks/bulk_pages_summary/live',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Basic c3VwcG9ydEBkYXRhZm9yc2VvLmNvbTpTUnJYVHp2UGtFSjgzdXlz'
  },
  body: JSON.stringify([
    {
      "targets": [
        "https://dataforseo.com/solutions",
        "https://dataforseo.com/about-us"
      ]
    }
  ])

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    targets=[
        "https://dataforseo.com/",
        "https://dataforseo.com/about-us"
    ]
)
# POST /v3/backlinks/bulk_pages_summary/live
response = client.post("/v3/backlinks/bulk_pages_summary/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task backlinks_bulk_pages_summary_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }                
            };
            var postData = new List<object>();
            postData.Add(new
            {
                targets = new[]
                {
                    "https://dataforseo.com/",
                    "https://dataforseo.com/about-us"
                }
            });
            // POST /v3/backlinks/bulk_pages_summary/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/backlinks/bulk_pages_summary/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20240422",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.1566 sec.",
  "cost": 0.02006,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "04241333-1535-0576-0000-a7b281e5516b",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0989 sec.",
      "cost": 0.02006,
      "result_count": 1,
      "path": [
        "v3",
        "backlinks",
        "bulk_pages_summary",
        "live"
      ],
      "data": {
        "api": "backlinks",
        "function": "bulk_pages_summary",
        "targets": [
          "https://dataforseo.com/solutions",
          "https://dataforseo.com/about-us"
        ]
      },
      "result": [
        {
          "total_count": 2,
          "items_count": 2,
          "items": [
            {
              "type": "backlinks_page_summary",
              "url": "https://dataforseo.com/solutions",
              "rank": 0,
              "main_domain_rank": 419,
              "backlinks": 0,
              "first_seen": null,
              "lost_date": null,
              "backlinks_spam_score": 0,
              "broken_backlinks": 0,
              "broken_pages": 0,
              "referring_domains": 0,
              "referring_domains_nofollow": 0,
              "referring_main_domains": 0,
              "referring_main_domains_nofollow": 0,
              "referring_ips": 0,
              "referring_subnets": 0,
              "referring_pages": 0,
              "referring_pages_nofollow": 0,
              "referring_links_tld": null,
              "referring_links_types": null,
              "referring_links_attributes": null,
              "referring_links_platform_types": null,
              "referring_links_semantic_locations": null,
              "referring_links_countries": null
            },
            {
              "type": "backlinks_page_summary",
              "url": "https://dataforseo.com/about-us",
              "rank": 0,
              "main_domain_rank": 419,
              "backlinks": 3,
              "first_seen": "2024-03-31 07:06:04 +00:00",
              "lost_date": null,
              "backlinks_spam_score": 5,
              "broken_backlinks": 0,
              "broken_pages": 0,
              "referring_domains": 1,
              "referring_domains_nofollow": 0,
              "referring_main_domains": 1,
              "referring_main_domains_nofollow": 0,
              "referring_ips": 1,
              "referring_subnets": 1,
              "referring_pages": 3,
              "referring_pages_nofollow": 0,
              "referring_links_tld": {
                "com": 3
              },
              "referring_links_types": {
                "anchor": 3
              },
              "referring_links_attributes": null,
              "referring_links_platform_types": {
                "unknown": 3
              },
              "referring_links_semantic_locations": {
                "": 3
              },
              "referring_links_countries": {
                "": 3
              }
            }
          ]
        }
      ]
    }
  ]
}